# Uses of Class
org.apache.sysds.parser.Identifier

Packages that use Identifier
Package
Description
org.apache.sysds.parser
org.apache.sysds.runtime.meta

## Uses of Identifier in org.apache.sysds.parser

Subclasses of Identifier in org.apache.sysds.parser
Modifier and Type
Class
Description
`class`
`BooleanIdentifier`
`class`
`BuiltinFunctionExpression`
`class`
`ConstIdentifier`
`class`
`DataExpression`
`class`
`DataIdentifier`
`class`
`DoubleIdentifier`
`class`
`FunctionCallIdentifier`
`class`
`IndexedIdentifier`
`class`
`IntIdentifier`
`class`
`ListIdentifier`
`class`
`ParameterizedBuiltinFunctionExpression`
`class`
`StringIdentifier`
Methods in org.apache.sysds.parser that return Identifier
Modifier and Type
Method
Description
`Identifier`
Expression.`getOutput()`
Obtain identifier.
`Identifier`
ExpressionList.`getOutput()`
`Identifier[]`
Expression.`getOutputs()`
Obtain identifiers.
Methods in org.apache.sysds.parser with parameters of type Identifier
Modifier and Type
Method
Description
`static Types.DataType`
Expression.`computeDataType(Identifier identifier1, Identifier identifier2, boolean cast)`
Compute data type based on identifiers.
`static Types.ValueType`
Expression.`computeValueType(Identifier identifier1, Identifier identifier2, boolean cast)`
Compute value type based on identifiers.
`void`
Identifier.`setDimensionValueProperties(Identifier i)`
`void`
DMLTranslator.`setIdentifierParams(Hop h, Identifier id)`
`void`
Expression.`setOutput(Identifier output)`
`void`
Identifier.`setProperties(Identifier i)`
`void`
IndexedIdentifier.`setProperties(Identifier i)`

## Uses of Identifier in org.apache.sysds.runtime.meta

Subclasses of Identifier in org.apache.sysds.runtime.meta
Modifier and Type
Class
Description
`class`
`MetaDataAll`